ChangeSet 1.1276.22.12, 2003/08/22 15:33:46-07:00, bellucda@tiscali.it

[PATCH] USB: PATCH 12/19 Audit usb_register/usb_serial_register under divers/usb/serial


 drivers/usb/serial/kl5kusb105.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/kl5kusb105.c b/drivers/usb/serial/kl5kusb105.c
--- a/drivers/usb/serial/kl5kusb105.c	Tue Sep  2 12:47:34 2003
+++ b/drivers/usb/serial/kl5kusb105.c	Tue Sep  2 12:47:34 2003
@@ -1037,11 +1037,20 @@
 
 static int __init klsi_105_init (void)
 {
-	usb_serial_register (&kl5kusb105d_device);
-	usb_register (&kl5kusb105d_driver);
+	int retval;
+	retval = usb_serial_register(&kl5kusb105d_device);
+	if (retval)
+		goto failed_usb_serial_register;
+	retval = usb_register(&kl5kusb105d_driver);
+	if (retval)
+		goto failed_usb_register;
 
 	info(DRIVER_DESC " " DRIVER_VERSION);
 	return 0;
+failed_usb_register:
+	usb_serial_deregister(&kl5kusb105d_device);
+failed_usb_serial_register:
+	return retval;
 }
 
 
